Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: João Távora <[email-masked]>
Date: Thu, 20 Apr 2023 12:53:35 +0100

On Thu, Apr 20, 2023 at 12:49 PM Eli Zaretskii <[email-masked]> wrote:

> > Please in the meantime, allow me add to eglot.el:
> >
> >  (defun eglot-update ()  "Update Eglot regardless of package.el policy."
> >     (interactive)
> >     (unless package-archive-contents (package-refresh-contents))
> >     (package-install (cadr (assoc 'eglot package-archive-contents))
> >
> > This will allow at least Eglot users to weather the storm until Emacs
> > 30.  I know you forbade this in the past, but now that more "facts and
> > subtleties" have come to light, maybe you can reconsider?  I'll readily
> > deprecate this function when a solution has been found for the next
> > Emacs.  It doesn't really affect anyone but Eglot users and these
> > are, in your own admission, already negatively affected anyway, so
> > what is there to lose?
>
> I didn't forbid it.  I said I'd prefer not to have it in Emacs, and I
> still do.

OK.  Thanks for clarifying.  I would _also_ prefer not to.  And
if a good solution is found for Emacs 29, I will take it out or just
deprecate it.  But given this situation, I'm just going to
add it.

João